Highlighted

Lightroom 6 won't open Mac 10.15.5

New Here ,
Aug 11, 2020

Copy link to clipboard

Copied

I did no computer updates but one day last week lightroom 6 stopped opening with no error code. I'd click the app in my dock, it would flash and then nothing. Thought I might need to finally upgrade so subscribed to LrC and Lightroom CC, installed them both but my original catalogues won't open in them. Then thought I'd try uninstalling LR6 but now I can't install it again because it's out of date. Any advice?

TOPICS
Crash or freeze, Download and install, Mac, Problem or error

Views

70

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more

Lightroom 6 won't open Mac 10.15.5

New Here ,
Aug 11, 2020

Copy link to clipboard

Copied

I did no computer updates but one day last week lightroom 6 stopped opening with no error code. I'd click the app in my dock, it would flash and then nothing. Thought I might need to finally upgrade so subscribed to LrC and Lightroom CC, installed them both but my original catalogues won't open in them. Then thought I'd try uninstalling LR6 but now I can't install it again because it's out of date. Any advice?

TOPICS
Crash or freeze, Download and install, Mac, Problem or error

Views

71

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Aug 11, 2020 0
LEGEND ,
Aug 11, 2020

Copy link to clipboard

Copied

You can't re-install Lightyroom 6 on OS X 10.15 or later. Apple does not allow the installer to run, as the installer is a 32 bit program.

 

When you say LrC won't open the LR 6 catalog, what happens? What is the exact word-for-word error message?

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Aug 11, 2020 0
Adobe Employee ,
Aug 11, 2020

Copy link to clipboard

Copied

Hi there,

 

We're sorry about the trouble with Lightroom on your Mac. Lightroom 6 and older versions are not compatible with macOS Catalina. Please check: https://helpx.adobe.com/lightroom-classic/kb/macos-catalina-compatibility.html#Arelegacyorperpetualv...

 

You can try opening the Lightroom 6 catalog with the latest version of Lightroom Classic and it should prompt you to upgrade the catalog. Once the catalog upgrade is complete, you should be able to access the images and edits from the catalog.

 

If you are facing issues doing that or if you are getting an error, please share more details (possibly a screenshot of the error) and we would be happy to help troubleshoot the issue.

 

Regards,

Nikunj

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Aug 11, 2020 0
Adobe Community Professional ,
Aug 11, 2020

Copy link to clipboard

Copied

As you've been told, you cannot install LR6 under Catalina. But if you install it with an older OS, it will run (within reason, it's unsupported). I'm running an old copy of LR5 under Catalina (Maps is busted but otherwise, seems OK). IOW, LR5 and LR6 can run under Catalina if installed prior to the upgrade. 

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Aug 11, 2020 0
GoldingD LATEST
LEGEND ,
Aug 11, 2020

Copy link to clipboard

Copied

As the install of LR v6 is a lost cause, moving on to

 

 

so subscribed to LrC and Lightroom CC, installed them both but my original catalogues won't open in them. 

 

 

Why not? What occurs when you launch a old catalog?

 

First up, locate using Finder, your catalog. As you had some issue, check for a lock file and deal with that. Then double click on your catalog.

 

What should happen, is LrC should launch, it should note that your catalog is in need of an update, you select yes, LrC copy's the old catalog, gives it a slightly new file name (adds a suffix) and opens the new catalog, this is required as the database engine is different.

 

about lock files:

https://helpx.adobe.com/lightroom-classic/kb/lightroom-error-catalog-cannot-be-opened-lrcat-lock.htm...

be very very careful.

 

about Lightroom Classic upgrades causing catalog updates:

https://www.lightroomqueen.com/lightroom-upgrade-catalog/

 

Just another Adobe customer; My Sys; APP: LRC 10.0, PS 22.0; CMP: WIN WS 16GB OS 10 v1909 (18363), mid 2015 MBPr 15” 16GB MACOS 10.15.7; 4K EXT DSPY; CAM: Canon 5D Mk III, Fuji X-T3

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Aug 11, 2020 0